/******************************************************************************
 * The contents of this file are subject to the   Compiere License  Version 1.1
 * ("License"); You may not use this file except in compliance with the License
 * You may obtain a copy of the License at http://www.compiere.org/license.html
 * Software distributed under the License is distributed on an  "AS IS"  basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for
 * the specific language governing rights and limitations under the License.
 * The Original Code is Compiere ERP & CRM Smart Business Solution. The Initial
 * Developer of the Original Code is Jorg Janke. Portions created by Jorg Janke
 * are Copyright (C) 1999-2005 Jorg Janke.
 * All parts are Copyright (C) 1999-2005 ComPiere, Inc.  All Rights Reserved.
 * Contributor(s): ______________________________________.
 *****************************************************************************/
package org.compiere.impexp;

import java.sql.ResultSet;
import java.util.Properties;

import org.compiere.model.X_AD_ImpFormat_Row;
import org.compiere.model.X_I_ImpFormat_Row;


/**
 *	Import Format Row Model 
 *	
 *  @author Jorg Janke
 *  @version $Id: MImpFormatRow.java,v 1.1 2006/09/25 14:19:37 hans Exp $
 */
public class MImpFormatRow extends X_AD_ImpFormat_Row
{

	public MImpFormatRow (X_I_ImpFormat_Row imp)
	{
		this (imp.getCtx(), 0, imp.get_TrxName());
		setClientOrg(imp);
		setUpdatedBy(imp.getUpdatedBy());
		setAD_Org_ID(imp.getAD_Org_ID());
		setAD_ImpFormat_ID(imp.getAD_ImpFormat_ID());
		setName(imp.getRowName());
		setStartNo(imp.getStartNo());
		setEndNo(imp.getEndNo());
		setDataType(imp.getDataType());
		setDataFormat(imp.getDataFormat());
		setDecimalPoint(imp.getDecimalPoint());
		setDivideBy100(imp.isDivideBy100());
		setConstantValue(imp.getConstantValue());
		setCallout(imp.getCallout());
		setScript(imp.getScript());
		setSeqNo(imp.getSeqNo());
        if ( imp.getAD_Column_ID()>0)
		setAD_Column_ID(imp.getAD_Column_ID());
	}	//	MImpFormatRow
	/**
	 * 	Standard Constructor
	 *	@param ctx context
	 *	@param AD_ImpFormat_Row_ID id
	 */
	public MImpFormatRow (Properties ctx, int AD_ImpFormat_Row_ID, String trxName)
	{
		super (ctx, AD_ImpFormat_Row_ID, trxName);
		if (AD_ImpFormat_Row_ID == 0)
		{
		//	setAD_ImpFormat_ID (0);		Parent
		//	setAD_Column_ID (0);
		//	setDataType (null);
		//	setName (null);
		//	setSeqNo (10);
			setDecimalPoint (".");
			setDivideBy100 (false);
		}
	}	//	MImpFormatRow

	/**
	 * 	Load Construcor
	 *	@param ctx context
	 *	@param rs result set
	 */
	public MImpFormatRow (Properties ctx, ResultSet rs, String trxName)
	{
		super(ctx, rs, trxName);
	}	//	MImpFormatRow
	
	/**
	 * 	Parent Construcor
	 *	@param format format parent
	 */
	public MImpFormatRow (MImpFormat format)
	{
		this (format.getCtx(), 0, format.get_TrxName());
		setAD_ImpFormat_ID(format.getAD_ImpFormat_ID());
	}	//	MImpFormatRow
	
	/**
	 * 	Parent/Copy Construcor
	 *	@param parent format parent
	 *	@param original to copy
	 */
	public MImpFormatRow (MImpFormat parent, MImpFormatRow original)
	{
		this (parent.getCtx(), 0, parent.get_TrxName());
		copyValues(original, this);
		setClientOrg(parent);
		setAD_ImpFormat_ID(parent.getAD_ImpFormat_ID());
	}	//	MImpFormatRow
	
}	//	MImpFormatRow
