/******************************************************************************
 * The contents of this file are subject to the   Compiere License  Version 1.1
 * ("License"); You may not use this file except in compliance with the License
 * You may obtain a copy of the License at http://www.compiere.org/license.html
 * Software distributed under the License is distributed on an  "AS IS"  basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for
 * the specific language governing rights and limitations under the License.
 * The Original Code is Compiere ERP & CRM Smart Business Solution. The Initial
 * Developer of the Original Code is Jorg Janke. Portions created by Jorg Janke
 * are Copyright (C) 1999-2005 Jorg Janke.
 * All parts are Copyright (C) 1999-2005 ComPiere, Inc.  All Rights Reserved.
 * Contributor(s): ______________________________________.
 *****************************************************************************/
package org.compiere.db;

/**
 *  General Database Constants and Utilities
 *
 *  @author     Jorg Janke
 *  @version    $Id: Database.java,v 1.1 2006/09/25 14:19:36 hans Exp $
 */
public class Database
{
	/** Oracle ID       */
	public static String        DB_ORACLE   = "Oracle";
	/** Microsoft ID	*/
	public static String        DB_MSSQLServer = "SQLServer";
	/** IBM DB/2 ID		*/
	public static String        DB_DB2 = "DB2";
	/** Derby ID		*/
	public static String        DB_DERBY = "Derby";
	/** PostgreSQL ID - discontinued  */
	static String				DB_POSTGRESQL = "PostgreSQL";
	/** Sybase ID - discontinued		*/
	static String        		DB_SYBASE   = "Sybase";

	/** Supported Databases     */
	public static String[]      DB_NAMES = new String[] {
		DB_ORACLE
		,DB_DB2
		,DB_DB2
	//	,DB_DERBY
	//	,DB_SYBASE
	//	,DB_MSSQLServer
	};

	/** Database Classes        */
	protected static Class[]    DB_CLASSES = new Class[] {
		DB_Oracle.class
		,DB_DB2.class
	//	,DB_Derby.class
	//	,DB_Sybase.class
	//	,DB_MSSQLServer.class
	};

	/** Connection Timeout in seconds   */
	public static int           CONNECTION_TIMEOUT = 10;

}   //  Database
