/******************************************************************************
 * The contents of this file are subject to the   Compiere License  Version 1.1
 * ("License"); You may not use this file except in compliance with the License
 * You may obtain a copy of the License at http://www.compiere.org/license.html
 * Software distributed under the License is distributed on an  "AS IS"  basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for
 * the specific language governing rights and limitations under the License.
 * The Original Code is Compiere ERP & CRM Smart Business Solution. The Initial
 * Developer of the Original Code is Jorg Janke. Portions created by Jorg Janke
 * are Copyright (C) 1999-2005 Jorg Janke.
 * All parts are Copyright (C) 1999-2005 ComPiere, Inc.  All Rights Reserved.
 * Contributor(s): ______________________________________.
 *****************************************************************************/
package org.compiere.model;

import java.sql.*;
import java.util.*;

import org.compiere.util.DB;


/**
 *	Field Format Model
 *	
 *  @author Jirimuto
 *  @version $Id: M_FieldFormat.java,v 1.1 2006/09/25 14:19:26 hans Exp $
 */
public class M_FieldFormat extends X_AD_FieldFormat
{

	/**
	 * 	Standard Constructor
	 *	@param ctx context
	 *	@param AD_FieldFormat_ID id
	 */
	public M_FieldFormat (Properties ctx, int AD_FieldFormat_ID, String trxName)
	{
		super (ctx, AD_FieldFormat_ID, trxName);
	}	//	M_FieldFormat

	/**
	 * 	Load Constructor
	 *	@param ctx context
	 *	@param rs result set
	 */
	public M_FieldFormat (Properties ctx, ResultSet rs, String trxName)
	{
		super(ctx, rs, trxName);
	}	//	M_FieldFormat

	/**
	 * 	Parent Constructor
	 *	@param parent parent
	 */
	public M_FieldFormat (M_Field parent)
	{
		this (parent.getCtx(), 0, parent.get_TrxName());
		setClientOrg(parent);
		setAD_Field_ID(parent.getAD_Field_ID());
	}	//	M_FieldFormat
	
	/**
	 * 	Copy Constructor
	 *	@param parent parent
	 *	@param from copy from
	 */
	public M_FieldFormat (M_Field parent, M_FieldFormat from)
	{
		this (parent.getCtx(), 0, parent.get_TrxName());
		copyValues(from, this);
		setClientOrg(parent);
		setAD_Field_ID(parent.getAD_Field_ID());
		
	}	//	M_FieldFormat
	
	/**
	 * 	Parent Constructor
	 *	@param parent parent
	 */
	public static M_FieldFormat getM_FieldFormat (Properties ctx, int AD_Tab_ID, int AD_Column_ID )
	{
		M_FieldFormat m_FieldFormat = null;
		//	Find Refernce Column e.g. BillTo_ID -> C_BPartner_Location_ID
		String sql = "SELECT * FROM AD_FIELDFORMAT AFF, AD_FIELD AF WHERE AFF.AD_FIELD_ID = AF.AD_FIELD_ID AND AF.AD_TAB_ID=? AND AF.AD_COLUMN_ID=?";
		try
		{
			PreparedStatement pstmt = DB.prepareStatement(sql, null);
			pstmt.setInt( 1, AD_Tab_ID );
			pstmt.setInt( 2, AD_Column_ID );
			
			ResultSet rs = pstmt.executeQuery();
			if ( rs.next() ) {
				m_FieldFormat = new M_FieldFormat( ctx, rs, null );
			}
			rs.close();
			pstmt.close();
		}
		catch (SQLException e)
		{
		}

		return m_FieldFormat;
		
	}	//	getM_FieldFormat

}	//	M_FieldFormat
