/******************************************************************************
 * The contents of this file are subject to the   Compiere License  Version 1.1
 * ("License"); You may not use this file except in compliance with the License
 * You may obtain a copy of the License at http://www.compiere.org/license.html
 * Software distributed under the License is distributed on an  "AS IS"  basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for
 * the specific language governing rights and limitations under the License.
 * The Original Code is Compiere ERP & CRM Smart Business Solution. The Initial
 * Developer of the Original Code is Jorg Janke. Portions created by Jorg Janke
 * are Copyright (C) 1999-2005 Jorg Janke.
 * All parts are Copyright (C) 1999-2005 ComPiere, Inc.  All Rights Reserved.
 * Contributor(s): ______________________________________.
 *****************************************************************************/
package org.compiere.model;

import java.sql.PreparedStatement;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.util.Properties;
import java.util.logging.Level;

import org.compiere.util.DB;
import org.compiere.util.Env;

/**
 *	Tab Format Model
 *	
 *  @author Jirimuto
 *  @version $Id: M_TabFormat.java,v 1.1 2006/09/25 14:19:25 hans Exp $
 */
public class M_TabFormat extends X_AD_TabFormat
{

	/**
	 * 	Standard Constructor
	 *	@param ctx context
	 *	@param AD_TabFormat_ID id
	 */
	public M_TabFormat (Properties ctx, int AD_TabFormat_ID, String trxName)
	{
		super (ctx, AD_TabFormat_ID, trxName);
		if (AD_TabFormat_ID == 0)
		{
			super.setIs_InParent( false );
			super.setIsBorder_Display( false );
		}
	}	//	M_Tab

	/**
	 * 	Load Constructor
	 *	@param ctx context
	 *	@param rs result set
	 */
	public M_TabFormat (Properties ctx, ResultSet rs, String trxName)
	{
		super(ctx, rs, trxName);
	}	//	M_TabFormat

	/**
	 * 	Parent Constructor
	 *	@param parent parent
	 */
	public M_TabFormat (M_Tab parent)
	{
		this (parent.getCtx(), 0, parent.get_TrxName());
		setClientOrg(parent);
		setAD_Tab_ID(parent.getAD_Tab_ID());
		
	}	//	M_Tab

	/**
	 * 	Parent Constructor
	 *	@param parent parent
	 *	@param from copy from
	 */
	public M_TabFormat (M_Tab parent, M_TabFormat from)
	{
		this (parent.getCtx(), 0, parent.get_TrxName());
		copyValues(from, this);
		setClientOrg(parent);
		setAD_Tab_ID(parent.getAD_Tab_ID());
		
	}	//	M_TabFormat
	
	/**
	 * 	Parent Constructor
	 *	@param parent parent
	 */
	public static M_TabFormat getM_TabFormat (Properties ctx, int AD_Tab_ID)
	{
		M_TabFormat m_TabFormat = null;
		//	Find Refernce Column e.g. BillTo_ID -> C_BPartner_Location_ID
		String sql = "SELECT * FROM AD_TABFORMAT WHERE AD_TAB_ID=?";
		try
		{
			PreparedStatement pstmt = DB.prepareStatement(sql, null);
			pstmt.setInt(1, AD_Tab_ID );
			ResultSet rs = pstmt.executeQuery();
			if ( rs.next() ) {
				m_TabFormat = new M_TabFormat( ctx, rs, null );
			}
			rs.close();
			pstmt.close();
		}
		catch (SQLException e)
		{
		}

		return m_TabFormat;
	}	//	getM_TabFormat

}	//	M_TabFormat
