/******************************************************************************
 * The contents of this file are subject to the   Compiere License  Version 1.1
 * ("License"); You may not use this file except in compliance with the License
 * You may obtain a copy of the License at http://www.compiere.org/license.html
 * Software distributed under the License is distributed on an  "AS IS"  basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for
 * the specific language governing rights and limitations under the License.
 * The Original Code is Compiere ERP & CRM Smart Business Solution. The Initial
 * Developer of the Original Code is Jorg Janke. Portions created by Jorg Janke
 * are Copyright (C) 1999-2005 Jorg Janke.
 * All parts are Copyright (C) 1999-2005 ComPiere, Inc.  All Rights Reserved.
 * Contributor(s): ______________________________________.
 *****************************************************************************/
package org.compiere.install;

import java.util.*;

/**
 *	Setup Resources for Finnish language
 *
 * 	@author 	Petteri Soininen (petteri.soininen@netorek.fi)
 * 	@version 	$Id: SetupRes_fi.java,v 1.1 2006/09/25 14:19:50 hans Exp $
 */
public class SetupRes_fi extends ListResourceBundle
{
	/**	
    * Translation Info
    */
	static final Object[][] contents = new String[][]{
	{ "CompiereServerSetup", 	"Compiere-palvelimen Asetukset" },
	{ "Ok", 					"Hyv\344ksy" },
	{ "File", 					"Tiedosto" },
	{ "Exit", 					"Poistu" },
	{ "Help", 					"Help" },
	{ "PleaseCheck", 			"Ole hyv\344 ja valitse" },
	{ "UnableToConnect", 		"Yhteydenotto Compieren Web-Help:in ei onnistu" },
	//
	{ "CompiereHomeInfo", 		"Compiere Home on p\344\344kansio" },
	{ "CompiereHome", 			"Compiere Home" },
	{ "WebPortInfo", 			"Web (HTML) Portti" },
	{ "WebPort", 				"Web Portti" },
	{ "AppsServerInfo", 		"Sovelluspalvelimen Nimi" },
	{ "AppsServer", 			"Sovelluspalvelin" },
	{ "DatabaseTypeInfo", 		"Tietokantatyyppi" },
	{ "DatabaseType", 			"Tietokantatyyppi" },
	{ "DatabaseNameInfo", 		"Tietokannan Nimi" },
	{ "DatabaseName", 			"Tietokannan Nimi (SID)" },
	{ "DatabasePortInfo", 		"Tietokannan kuuntelijaportti" },
	{ "DatabasePort", 			"Tietokantaportti" },
	{ "DatabaseUserInfo", 		"Tietokannan Compiere-k\344ytt\344j\344tunnus" },
	{ "DatabaseUser", 			"Tietokannan k\344ytt\344j\344tunnus" },
	{ "DatabasePasswordInfo", 	"Tietokannan Compiere-salasana" },
	{ "DatabasePassword", 		"Tietokannan salasana" },
	{ "TNSNameInfo", 			"TNS tai Globaali Tietokannan Nimi" },
	{ "TNSName", 				"TNS Nimi" },
	{ "SystemPasswordInfo", 	"J\344rjestelm\344salasana" },
	{ "SystemPassword", 		"J\344rjestelm\344salasana" },
	{ "MailServerInfo", 		"S\344hk\366postipalvelin" },
	{ "MailServer", 			"S\344hk\366postipalvelin" },
	{ "AdminEMailInfo", 		"Compiere-yll\344pit\344j\344n S\344hk\366posti" },
	{ "AdminEMail", 			"Yll\344pit\344j\344n S\344hk\366posti" },
	{ "DatabaseServerInfo", 	"Tietokantapalvelimen Nimi" },
	{ "DatabaseServer", 		"Tietokantapalvelin" },
	{ "JavaHomeInfo", 			"Java-kotihakemisto" },
	{ "JavaHome", 				"Java-koti" },
	{ "JNPPortInfo", 			"Sovelluspalvelimen JNP-portti" },
	{ "JNPPort", 				"JNP-portti" },
	{ "MailUserInfo", 			"Compiere-s\344hk\366postik\344ytt\344j\344" },
	{ "MailUser", 				"S\344hk\366postik\344ytt\344j\344" },
	{ "MailPasswordInfo", 		"Compiere-s\344hk\366postisalasana" },
	{ "MailPassword", 			"S\344hk\366postisalasana" },
	{ "KeyStorePassword",		"Key Store Password" },
	{ "KeyStorePasswordInfo",	"Password for SSL Key Store" },
	//
	{ "JavaType",				"Java VM"},
	{ "JavaTypeInfo",			"Java VM Vendor"},
	{ "AppsType",				"Server Type"},
	{ "AppsTypeInfo",			"J2EE Application Server Type"},
	{ "DeployDir",				"Deployment"},
	{ "DeployDirInfo",			"J2EE Deployment Directory"},
	{ "ErrorDeployDir",			"Error Deployment Directory"},
	//
	{ "TestInfo", 				"Testaa Asetukset" },
	{ "Test", 					"Testaa" },
	{ "SaveInfo", 				"Tallenna Asetukset" },
	{ "Save", 					"Tallenna" },
	{ "HelpInfo", 				"Hae Apua" },
	//
	{ "ServerError", 			"Palvelimen Asetusvirhe" },
	{ "ErrorJavaHome", 			"Java-kotivirhe" },
	{ "ErrorCompiereHome", 		"Compiere-kotivirhe" },
	{ "ErrorAppsServer", 		"Sovelluspalvelinvirhe (\344l\344 k\344yt\344 paikallisverkkoasemaa)" },
	{ "ErrorWebPort", 			"Web-porttivirhe" },
	{ "ErrorJNPPort", 			"JNP-porttivirhe" },
	{ "ErrorDatabaseServer", 	"Tietokantapalvelinvirhe (\344l\344 k\344yt\344 paikallisverkkoasemaa)" },
	{ "ErrorDatabasePort", 		"Tietokantaporttivirhe" },
	{ "ErrorJDBC", 				"JDBC-yhteysvirhe" },
	{ "ErrorTNS", 				"TNS-yhteysvirhe" },
	{ "ErrorMailServer", 		"S\344hk\366postipalvelinvirhe (\344l\344 k\344yt\344 paikallisverkkoasemaa)" },
	{ "ErrorMail", 				"S\344hk\366postivirhe" },
	{ "ErrorSave", 				"Tiedostontallennusvirhe" },

	{ "EnvironmentSaved", 		"Ymp\344rist\366 tallennettu/Palvelin t\344ytyy k\344ynnist\344\344 uudelleen." },

	{ "RMIoverHTTP", 			"Tunneloi objektit HTTP kautta" },
	{ "RMIoverHTTPInfo", 		"RMI HTTP:n yli mahdollistaa palomuurien l\344p\344isyn" }
	};

	/**
	 * 	Get Contents
	 * 	@return contents
	 */
	public Object[][] getContents()
	{
		return contents;
	}	//	getContents

}	//	SerupRes
