/******************************************************************************
 * The contents of this file are subject to the   Compiere License  Version 1.1
 * ("License"); You may not use this file except in compliance with the License
 * You may obtain a copy of the License at http://www.compiere.org/license.html
 * Software distributed under the License is distributed on an  "AS IS"  basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for
 * the specific language governing rights and limitations under the License.
 * The Original Code is Compiere ERP & CRM Smart Business Solution. The Initial
 * Developer of the Original Code is Jorg Janke. Portions created by Jorg Janke
 * are Copyright (C) 1999-2005 Jorg Janke.
 * All parts are Copyright (C) 1999-2005 ComPiere, Inc.  All Rights Reserved.
 * Contributor(s): ______________________________________.
 *****************************************************************************/
package org.compiere.install;

import java.util.*;

/**
 *	Setup Resources
 *
 * 	@author 	Matjaž Godec
 * 	@version 	$Id: SetupRes_sl.java,v 1.1 2006/09/25 14:19:50 hans Exp $
 */
public class SetupRes_sl extends ListResourceBundle
{
	/**	Translation Info	*/
	static final Object[][] contents = new String[][]{
	{ "CompiereServerSetup", 	"Namestavitve Compiere stre\305\276nika" },
	{ "Ok", 			"V redu" },
	{ "File", 			"Datoteka" },
	{ "Exit", 			"Izhod" },
	{ "Help", 			"Pomo\304?" },
	{ "PleaseCheck", 		"Prosim preverite" },
	{ "UnableToConnect", 		"Napaka pri povezavi na Compiere web pomo\304?" },
	//
	{ "CompiereHomeInfo", 		"Compiere Home je glavni imenik" },
	{ "CompiereHome", 		"Compiere Home" },
	{ "WebPortInfo", 		"Web (HTML) vrata" },
	{ "WebPort", 			"Web vrata" },
	{ "AppsServerInfo", 		"Ime programskega stre\305\276nika" },
	{ "AppsServer", 		"Programski stre\305\276nik" },
	{ "DatabaseTypeInfo", 		"Tip baze podatkov" },
	{ "DatabaseType", 		"Tip baze podatakov" },
	{ "DatabaseNameInfo", 		"Ime baze podatkov " },
	{ "DatabaseName", 		"Ime baze (SID)" },
	{ "DatabasePortInfo", 		"Vrata Listener programa" },
	{ "DatabasePort", 		"Vrata baze podatkov" },
	{ "DatabaseUserInfo", 		"Uporabni\305\241ko ime Compiere baze podatkov" },
	{ "DatabaseUser", 		"Uporabnik baze podatkov" },
	{ "DatabasePasswordInfo", 	"Geslo uporabnika baze podatkov" },
	{ "DatabasePassword", 		"Geslo baze podatkov" },
	{ "TNSNameInfo", 		"TNS ali globalno ime baze podatkov" },
	{ "TNSName", 			"TNS Ime" },
	{ "SystemPasswordInfo", 	"Geslo uporabnika System" },
	{ "SystemPassword", 		"System geslo" },
	{ "MailServerInfo", 		"Stre\305\276nik elektronske po\305\241te" },
	{ "MailServer", 		"Stre\305\276nik elektronske po\305\241te" },
	{ "AdminEMailInfo", 		"Elektronski naslov Compiere Skrbnika" },
	{ "AdminEMail", 		"Elektronski naslov Skrbnika" },
	{ "DatabaseServerInfo", 	"Ime stre\305\276nika baze podatkov" },
	{ "DatabaseServer", 		"Stre\305\276nik baze podatkov" },
	{ "JavaHomeInfo", 		"Doma\304? imenik Jave" },
	{ "JavaHome", 			"Java imenik" },
	{ "JNPPortInfo", 		"JNP vrata programskega stre\305\276nika" },
	{ "JNPPort", 			"JNP vrata" },
	{ "MailUserInfo", 		"Uporabnik elektronske po\305\241te za Compiere" },
	{ "MailUser", 			"Uporabnik elektronske po\305\241te" },
	{ "MailPasswordInfo", 		"Geslo uporabnika elektronske po\305\241te Compiere" },
	{ "MailPassword", 		"Geslo uporabnika elektronske po\305\241te" },
	{ "KeyStorePassword",		"Geslo shrambe klju\304?ev" },
	{ "KeyStorePasswordInfo",	"Geslo za shrambo SSL klju\304?ev" },
	//
	{ "JavaType",				"Java VM"},
	{ "JavaTypeInfo",			"Java VM Vendor"},
	{ "AppsType",				"Server Type"},
	{ "AppsTypeInfo",			"J2EE Application Server Type"},
	{ "DeployDir",				"Deployment"},
	{ "DeployDirInfo",			"J2EE Deployment Directory"},
	{ "ErrorDeployDir",			"Error Deployment Directory"},
	//
	{ "TestInfo", 			"Test informacije" },
	{ "Test", 			"Test" },
	{ "SaveInfo", 			"Shrani informacije" },
	{ "Save", 			"Shrani" },
	{ "HelpInfo", 			"Pomo\304?" },
	//
	{ "ServerError", 		"Napaka v nastavitvah programskega stre\305\276nika" },
	{ "ErrorJavaHome", 		"Error napa\304?en doma\304? imenik Java" },
	{ "ErrorCompiereHome", 		"Error napa\304?en Compiere Home imenik" },
	{ "ErrorAppsServer", 		"Error programski stre\305\276nik (ne uporabljaj imena localhost)" },
	{ "ErrorWebPort", 		"Error napa\304?na Web vrata" },
	{ "ErrorJNPPort", 		"Error napa\304?na JNP vrata" },
	{ "ErrorDatabaseServer", 	"Error stre\305\276nik baze podatkov (ne uporabljaj imena localhost)" },
	{ "ErrorDatabasePort", 		"Error napa\304?na vrata baze podatkov" },
	{ "ErrorJDBC", 			"Error napaka v JDBC povezavi" },
	{ "ErrorTNS", 			"Error napaka v TNS povezavi" },
	{ "ErrorMailServer", 		"Error stre\305\276nik elektronske po\305\241te (ne uporabljaj imena localhost)" },
	{ "ErrorMail", 			"Error napaka elektronska po\305\241ta" },
	{ "ErrorSave", 			"Error napaka pri shranjevanju datoteke" },

	{ "EnvironmentSaved", 		"Nastavitve so shranjene\nSedaj lahko po\305\276enete programski stre\305\276nik." }

	};

	/**
	 * 	Get Contents
	 * 	@return contents
	 */
	public Object[][] getContents()
	{
		return contents;
	}	//	getContents

}	//	SerupRes
