/******************************************************************************
 * The contents of this file are subject to the   Compiere License  Version 1.1
 * ("License"); You may not use this file except in compliance with the License
 * You may obtain a copy of the License at http://www.compiere.org/license.html
 * Software distributed under the License is distributed on an  "AS IS"  basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for
 * the specific language governing rights and limitations under the License.
 * The Original Code is Compiere ERP & CRM Smart Business Solution. The Initial
 * Developer of the Original Code is Jorg Janke. Portions created by Jorg Janke
 * are Copyright (C) 1999-2005 Jorg Janke.
 * All parts are Copyright (C) 1999-2005 ComPiere, Inc.  All Rights Reserved.
 * Contributor(s): ______________________________________.
 *****************************************************************************/
package org.compiere.plaf;

import java.util.ListResourceBundle;

/**
 *  Translation Texts for Look & Feel
 *
 *  @author Jaume Teixi
 *  @version    $Id: PlafRes_ca.java,v 1.1 2006/09/25 14:19:33 hans Exp $
 */
public class PlafRes_ca extends ListResourceBundle
{
	/** The data    */
	static final Object[][] contents = new String[][]
	{
	{ "BackColType",            "Tipus Color Fons" },
	{ "BackColType_Flat",       "Pla" },
	{ "BackColType_Gradient",   "Gradient" },
	{ "BackColType_Lines",      "L\355nes" },
	{ "BackColType_Texture",    "Textura" },
	//
	{ "LookAndFeelEditor",      "Editor Aparen\347a i Comportament" },
	{ "LookAndFeel",            "Aparen\347a i Comportament" },
	{ "Theme",                  "Tema" },
	{ "EditCompiereTheme",      "Editar Tema Compiere" },
	{ "SetDefault",             "Fons Per Defecte" },
	{ "SetDefaultColor",        "Color Fons" },
	{ "ColorBlind",             "Defici\350ncia Color" },
	{ "Example",                "Exemple" },
	{ "Reset",                  "Reiniciar" },
	{ "OK",                     "D'Acord" },
	{ "Cancel",                 "Cancel.lar" },
	//
	{ "CompiereThemeEditor",    "Editor Tema Compiere" },
	{ "MetalColors",            "Colors Metal" },
	{ "CompiereColors",         "Colors Compiere" },
	{ "CompiereFonts",          "Fonts Compiere" },
	{ "Primary1Info",           "Ombra, Separador" },
	{ "Primary1",               "Primari 1" },
	{ "Primary2Info",           "L\355nia Focus, Men\372 Seleccionat" },
	{ "Primary2",               "Primari 2" },
	{ "Primary3Info",           "Taula Fila Seleccionada, Texte Seleccionat, Indicador Fons" },
	{ "Primary3",               "Primari 3" },
	{ "Secondary1Info",         "L\355nies Marc" },
	{ "Secondary1",             "Secondari 1" },
	{ "Secondary2Info",         "Pestanyes Innactives, Camps Premuts, Texte + Marc Innactius" },
	{ "Secondary2",             "Secondari 2" },
	{ "Secondary3Info",         "Fons" },
	{ "Secondary3",             "Secondari 3" },
	//
	{ "ControlFontInfo",        "Font Control" },
	{ "ControlFont",            "Font Etiqueta" },
	{ "SystemFontInfo",         "Indicador, Nodes Arbre" },
	{ "SystemFont",             "Font Sistema" },
	{ "UserFontInfo",           "Dades Entrades Per l'Usuari" },
	{ "UserFont",               "Font Camp" },
//	{ "SmallFontInfo",          "Informes" },
	{ "SmallFont",              "Font Petita" },
	{ "WindowTitleFont",        "Font T\355tol" },
	{ "MenuFont",               "Font Men\372" },
	//
	{ "MandatoryInfo",          "Camp de Fons Obligatori" },
	{ "Mandatory",              "Obligatori" },
	{ "ErrorInfo",              "Camp de Fons Error" },
	{ "Error",                  "Error" },
	{ "InfoInfo",               "Camp de Fons Informaci\363" },
	{ "Info",                   "Informaci\363" },
	{ "WhiteInfo",              "L\355nies" },
	{ "White",                  "Blanc" },
	{ "BlackInfo",              "L\355nies, Text" },
	{ "Black",                  "Negre" },
	{ "InactiveInfo",           "Camp de Fons Innactiu" },
	{ "Inactive",               "Innactiu" },
	{ "TextOKInfo",             "Texte Superior OK" },
	{ "TextOK",                 "Texte - OK" },
	{ "TextIssueInfo",          "Texte Superior Error" },
	{ "TextIssue",              "Texte - Error" },
	//
	{ "FontChooser",            "Escollidor Font" },
	{ "Fonts",                  "Fonts" },
	{ "Plain",                  "Plana" },
	{ "Italic",                 "It\340lica" },
	{ "Bold",                   "Negreta" },
	{ "BoldItalic",             "Negreta & It\340lica" },
	{ "Name",                   "Nom" },
	{ "Size",                   "Tamany" },
	{ "Style",                  "Estil" },
	{ "TestString",             "Aix\362 \351s nom\351s una Prova! La Guineu marr\363 r\340pida \351st\340 fent quelcom. 12,3456.78 LetterLOne = l1 LetterOZero = O0" },
	{ "FontString",             "Font" },
	//
	{ "CompiereColorEditor",    "Editor Color Compiere" },
	{ "CompiereType",           "Tipus Color" },
	{ "GradientUpperColor",     "Color Dalt Degradat" },
	{ "GradientLowerColor",     "Color Baix Degradat" },
	{ "GradientStart",          "Inici Degradat" },
	{ "GradientDistance",       "Dist\340ncia Degradat" },
	{ "TextureURL",             "Textura URL" },
	{ "TextureAlpha",           "Textura Alfa" },
	{ "TextureTaintColor",      "Textura Color Corrupci\363" },
	{ "LineColor",              "Color L\355nia" },
	{ "LineBackColor",          "Color Fons" },
	{ "LineWidth",              "Ampla L\355nia" },
	{ "LineDistance",           "Dist\340ncia L\355nia" },
	{ "FlatColor",              "Color Pla" }
	};

	/**
	 * Get Contents
	 * @return contents
	 */
	public Object[][] getContents()
	{
		return contents;
	}
}   //  Res
