/******************************************************************************
 * The contents of this file are subject to the   Compiere License  Version 1.1
 * ("License"); You may not use this file except in compliance with the License
 * You may obtain a copy of the License at http://www.compiere.org/license.html
 * Software distributed under the License is distributed on an  "AS IS"  basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for
 * the specific language governing rights and limitations under the License.
 * The Original Code is Compiere ERP & CRM Smart Business Solution. The Initial
 * Developer of the Original Code is Jorg Janke. Portions created by Jorg Janke
 * are Copyright (C) 1999-2005 Jorg Janke.
 * All parts are Copyright (C) 1999-2005 ComPiere, Inc.  All Rights Reserved.
 * Contributor(s): ______________________________________.
 *****************************************************************************/
package org.compiere.plaf;

import java.util.ListResourceBundle;

/**
 *  Translation Texts for Look & Feel for Finnish Language
 *
 * 	@author 	Petteri Soininen (petteri.soininen@netorek.fi)
 * 	@version 	$Id: PlafRes_fi.java,v 1.1 2006/09/25 14:19:33 hans Exp $
 */
public class PlafRes_fi extends ListResourceBundle
{
	/** 
    * Data 
    */
	static final Object[][] contents = new String[][]
	{
	{ "BackColType",            "Taustan v\344rityyppi" },
	{ "BackColType_Flat",       "Yksiv\344ri" },
	{ "BackColType_Gradient",   "Gradientti" },
	{ "BackColType_Lines",      "Viiva" },
	{ "BackColType_Texture",    "Kuviointi" },
	//
	{ "LookAndFeelEditor",      "K\344ytt\366tuntuman muokkaus" },
	{ "LookAndFeel",            "K\344ytt\366tuntuma" },
	{ "Theme",                  "Teema" },
	{ "EditCompiereTheme",      "Muokkaa Compiere-teemaa" },
	{ "SetDefault",             "Oletustaustav\344ri" },
	{ "SetDefaultColor",        "Taustav\344ri" },
	{ "ColorBlind",             "V\344risokeus" },
	{ "Example",                "Esimerkki" },
	{ "Reset",                  "Nollaa" },
	{ "OK",                     "Hyv\344ksy" },
	{ "Cancel",                 "Peruuta" },
	//
	{ "CompiereThemeEditor",    "Compiere-teeman muokkaus" },
	{ "MetalColors",            "Metalliv\344rit" },
	{ "CompiereColors",         "Compiere-v\344rit" },
	{ "CompiereFonts",          "Compiere-kirjasimet" },
	{ "Primary1Info",           "Varjostin, Erotin" },
	{ "Primary1",               "Ensisijainen 1" },
	{ "Primary2Info",           "Focus-viiva, Valitty Valikko" },
	{ "Primary2",               "Ensisijainen 2" },
	{ "Primary3Info",           "Taulun Valittu Rivi, Valittu Teksti, ToolTip Tausta" },
	{ "Primary3",               "Ensisijainen 3" },
	{ "Secondary1Info",         "Reunaviivat" },
	{ "Secondary1",             "Toissijainen 1" },
	{ "Secondary2Info",         "Ei-aktiiviset Tabulaattorit, Painetut Kent�t, Ei-aktiivinen Reuna + Teksti" },
	{ "Secondary2",             "Toissijainen 2" },
	{ "Secondary3Info",         "Tausta" },
	{ "Secondary3",             "Toissijainen 3" },
	//
	{ "ControlFontInfo",        "Kontrollikirjasin" },
	{ "ControlFont",            "Nimikekirjasin" },
	{ "SystemFontInfo",         "Tool Tip, Puun Solmut" },
	{ "SystemFont",             "J\344rjestelm\344kirjasin" },
	{ "UserFontInfo",           "K\344ytt\344j\344n Sy\366tt\344m\344 Tieto" },
	{ "UserFont",               "Kentt\344kirjasin" },
//	{ "SmallFontInfo",          "Raportit" },
	{ "SmallFont",              "Pieni Kirjasin" },
	{ "WindowTitleFont",         "Otsikkokirjasin" },
	{ "MenuFont",               "Valikkokirjasin" },
	//
	{ "MandatoryInfo",          "Pakollinen Kentt\344tausta" },
	{ "Mandatory",              "Pakollinen" },
	{ "ErrorInfo",              "Virhekent\344n Tausta" },
	{ "Error",                  "Virhe" },
	{ "InfoInfo",               "Tietokent\344n Tausta" },
	{ "Info",                   "Tieto" },
	{ "WhiteInfo",              "Viivat" },
	{ "White",                  "Valkoinen" },
	{ "BlackInfo",              "Viivat, Teksti" },
	{ "Black",                  "Musta" },
	{ "InactiveInfo",           "Ei-aktiivinen Kentt\344tausta" },
	{ "Inactive",               "Ei-aktiivinen" },
	{ "TextOKInfo",             "Hyv\344ksy Teksti Edusta" },
	{ "TextOK",                 "Teksti - Hyv\344ksy" },
	{ "TextIssueInfo",          "Virhetekstin Edusta" },
	{ "TextIssue",              "Teksti - Virhe" },
	//
	{ "FontChooser",            "Kirjasimen Valitsin" },
	{ "Fonts",                  "Kirjasimet" },
	{ "Plain",                  "Tavallinen" },
	{ "Italic",                 "Kursiivi" },
	{ "Bold",                   "Lihavoitu" },
	{ "BoldItalic",             "Lihavoitu ja Kursiivi" },
	{ "Name",                   "Nimi" },
	{ "Size",                   "Koko" },
	{ "Style",                  "Tyyli" },
	{ "TestString",             "T\344m\344 on vain Testi! Nopea ruskea Kettu suorittaa jotain. 12,3456.78 LetterLOne = l1 LetterOZero = O0" },
	{ "FontString",             "Kirjasin" },
	//
	{ "CompiereColorEditor",    "Compiere-v\344rimuokkaus" },
	{ "CompiereType",           "V\344rityyppi" },
	{ "GradientUpperColor",     "Gradientin Ylempi V\344ri" },
	{ "GradientLowerColor",     "Gradientin Alempi V\344ri" },
	{ "GradientStart",          "Gradientin Alku" },
	{ "GradientDistance",       "Gradientin Et\344isyys" },
	{ "TextureURL",             "Kuvioinnin URL" },
	{ "TextureAlpha",           "Kuvioinnin Alpha" },
	{ "TextureTaintColor",      "Kuvioinnin Korvausv\344ri" },
	{ "LineColor",              "Viivan V\344ri" },
	{ "LineBackColor",          "Taustan V\344ri" },
	{ "LineWidth",              "Viivan Paksuus" },
	{ "LineDistance",           "Viivan Et\344isyys" },
	{ "FlatColor",              "Tavallinen V\344ri" }
	};

	/**
	 * Get Contents
	 * @return contents
	 */
	public Object[][] getContents()
	{
		return contents;
	}
}   //  Res

