/******************************************************************************
 * The contents of this file are subject to the   Compiere License  Version 1.1
 * ("License"); You may not use this file except in compliance with the License
 * You may obtain a copy of the License at http://www.compiere.org/license.html
 * Software distributed under the License is distributed on an  "AS IS"  basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for
 * the specific language governing rights and limitations under the License.
 * The Original Code is Compiere ERP & CRM Smart Business Solution. The Initial
 * Developer of the Original Code is Jorg Janke. Portions created by Jorg Janke
 * are Copyright (C) 1999-2005 Jorg Janke.
 * All parts are Copyright (C) 1999-2005 ComPiere, Inc.  All Rights Reserved.
 * Contributor(s): ______________________________________.
 *****************************************************************************/
package org.compiere.plaf;

import java.util.ListResourceBundle;

/**
 *  Translation Texts for Look & Feel
 *
 *  @author     Eldir Tomassen
 *  @version    $Id: PlafRes_nl.java,v 1.1 2006/09/25 14:19:32 hans Exp $
 */
public class PlafRes_nl extends ListResourceBundle
{
	/** The data    */
	static final Object[][] contents = new String[][]
	{
	{ "BackColType",            "Achtergrond Kleur Type" },
	{ "BackColType_Flat",       "Egaal" },
	{ "BackColType_Gradient",   "Verloop" },
	{ "BackColType_Lines",      "Lijnen" },
	{ "BackColType_Texture",    "Reli�f" },
	//
	{ "LookAndFeelEditor",      "Look & Feel Editor" },
	{ "LookAndFeel",            "Look & Feel" },
	{ "Theme",                  "Thema" },
	{ "EditCompiereTheme",      "Compiere Theme Bewerken" },
	{ "SetDefault",             "Standaard Achtergrond" },
	{ "SetDefaultColor",        "Achtergrond Kleur" },
	{ "ColorBlind",             "Kleur Verloop" },
	{ "Example",                "Voorbeeld" },
	{ "Reset",                  "Ongedaan maken" },
	{ "OK",                     "OK" },
	{ "Cancel",                 "Annuleren" },
	//
	{ "CompiereThemeEditor",    "Compiere Thema Editor" },
	{ "MetalColors",            "Metaal Kleuren" },
	{ "CompiereColors",         "Compiere Kleuren" },
	{ "CompiereFonts",          "Compiere Lettertypen" },
	{ "Primary1Info",           "Shaduw, Schijdingsteken" },
	{ "Primary1",               "Primair 1" },
	{ "Primary2Info",           "Schijdingslijn, Geselecteerd Menu" },
	{ "Primary2",               "Primair 2" },
	{ "Primary3Info",           "Tabel Geselecteerde Rij, Geselecteerde Tekst, ToolTip Achtergrond" },
	{ "Primary3",               "Primair 3" },
	{ "Secondary1Info",         "Begrenzing Lijnen" },
	{ "Secondary1",             "Secundair 2" },
	{ "Secondary2Info",         "Inactieve Tabs, Geselecteerde Velden, Inactieve Begrenzing + Tekst" },
	{ "Secondary2",             "Secundait 2" },
	{ "Secondary3Info",         "Achtergrond" },
	{ "Secondary3",             "Secondair 3" },
	//
	{ "ControlFontInfo",        "Beheer Lettertype" },
	{ "ControlFont",            "Label Lettertype" },
	{ "SystemFontInfo",         "Tool Tip, Boom Iconen" },
	{ "SystemFont",             "Systeem Letterype" },
	{ "UserFontInfo",           "Door Gebruiker ingevoerde gegevens" },
	{ "UserFont",               "Veld Lettertype" },
//	{ "SmallFontInfo",          "Reports" },
	{ "SmallFont",              "Klein Lettertype" },
	{ "WindowTitleFont",         "Titel Lettertype" },
	{ "MenuFont",               "Menu Lettertype" },
	//
	{ "MandatoryInfo",          "Verplicht Veld Achtergrond" },
	{ "Mandatory",              "Verplicht" },
	{ "ErrorInfo",              "Foutief Veld Achtergrond" },
	{ "Error",                  "Foutief" },
	{ "InfoInfo",               "Informatie Veld Achtergrond" },
	{ "Info",                   "Informatie" },
	{ "WhiteInfo",              "Lijnen" },
	{ "White",                  "Wit" },
	{ "BlackInfo",              "Lijnen, Tekst" },
	{ "Black",                  "Zwart" },
	{ "InactiveInfo",           "Inactief Veld Achtergrond" },
	{ "Inactive",               "Inactief" },
	{ "TextOKInfo",             "OK Tekst Voorgrond" },
	{ "TextOK",                 "Tekst - OK" },
	{ "TextIssueInfo",          "Foutief Tekst Voorgrond" },
	{ "TextIssue",              "Tekst - Foutief" },
	//
	{ "FontChooser",            "Lettertype Selecteren" },
	{ "Fonts",                  "Lettertypen" },
	{ "Plain",                  "Normaal" },
	{ "Italic",                 "Schuin" },
	{ "Bold",                   "Vet" },
	{ "BoldItalic",             "Vet & Schuin" },
	{ "Name",                   "Naam" },
	{ "Size",                   "Formaat" },
	{ "Style",                  "Stijl" },
	{ "TestString",             "Dit is een test! De thema brwoser is bezig. 12,3456.78 LetterLOne = l1 LetterOZero = O0" },
	{ "FontString",             "Lettertype" },
	//
	{ "CompiereColorEditor",    "Compiere Kleur Editor" },
	{ "CompiereType",           "Kleur Type" },
	{ "GradientUpperColor",     "Verloop Bovenste Kleur" },
	{ "GradientLowerColor",     "Verloop Onderste Kleur" },
	{ "GradientStart",          "Verloop Start" },
	{ "GradientDistance",       "Verloop Afstand" },
	{ "TextureURL",             "Textuur URL" },
	{ "TextureAlpha",           "Textuur Alpha" },
	{ "TextureTaintColor",      "Textuur Taint Kleur" },
	{ "LineColor",              "Lijn Kleur" },
	{ "LineBackColor",          "Achtergrond Kleur" },
	{ "LineWidth",              "Lijn Breedte" },
	{ "LineDistance",           "Lijn Reikwijdte" },
	{ "FlatColor",              "Egale Kleur" }
	};

	/**
	 * Get Contents
	 * @return contents
	 */
	public Object[][] getContents()
	{
		return contents;
	}
}   //  Res

