/******************************************************************************
 * The contents of this file are subject to the   Compiere License  Version 1.1
 * ("License"); You may not use this file except in compliance with the License
 * You may obtain a copy of the License at http://www.compiere.org/license.html
 * Software distributed under the License is distributed on an  "AS IS"  basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for
 * the specific language governing rights and limitations under the License.
 * The Original Code is Compiere ERP & CRM Smart Business Solution. The Initial
 * Developer of the Original Code is Jorg Janke. Portions created by Jorg Janke
 * are Copyright (C) 1999-2005 Jorg Janke.
 * All parts are Copyright (C) 1999-2005 ComPiere, Inc.  All Rights Reserved.
 * Contributor(s): ______________________________________.
 *****************************************************************************/
package org.compiere.plaf;

import java.util.ListResourceBundle;

/**
 *  Translation Texts for Look & Feel
 *
 *  @author     Jesse Jr
 *  @version    $Id: PlafRes_pt.java,v 1.1 2006/09/25 14:19:32 hans Exp $
 */
public class PlafRes_pt extends ListResourceBundle
{
	/** The data    */
	static final Object[][] contents = new String[][]
	{
	{ "BackColType",            "Tipo da Cor de Fundo" },
	{ "BackColType_Flat",       "Plano" },
	{ "BackColType_Gradient",   "D\351grad\351" },
	{ "BackColType_Lines",      "Linhas" },
	{ "BackColType_Texture",    "Textura" },
	//
	{ "LookAndFeelEditor",      "Editor: Look & Feel" },
	{ "LookAndFeel",            "Look & Feel" },
	{ "Theme",                  "Tema" },
	{ "EditCompiereTheme",      "Editar Tema Compiere" },
	{ "SetDefault",             "Fundo Padr\343o" },
	{ "SetDefaultColor",        "Cor de Fundo" },
	{ "ColorBlind",             "Defici\352ncia de Cor" },
	{ "Example",                "Exemplo" },
	{ "Reset",                  "Reinicializar" },
	{ "OK",                     "OK" },
	{ "Cancel",                 "Cancelar" },
	//
	{ "CompiereThemeEditor",    "Compiere: Editor de Temas" },
	{ "MetalColors",            "Cores Metal" },
	{ "CompiereColors",         "Cores Compiere" },
	{ "CompiereFonts",          "Fontes Compiere" },
	{ "Primary1Info",           "Sombra, Separador" },
	{ "Primary1",               "Prim\341rio 1" },
	{ "Primary2Info",           "Linha de Foco, Menu Selecionado" },
	{ "Primary2",               "Prim\341rio 2" },
	{ "Primary3Info",           "Linha da Tabele Selecionada, Texto Selecionado, Fundo Dicas" },
	{ "Primary3",               "Prim\341rio 3" },
	{ "Secondary1Info",         "Bordas de Linhas" },
	{ "Secondary1",             "Secund\341rio 1" },
	{ "Secondary2Info",         "Tabs Inativas, Campos Pressed, Borda Inativa + Texto" },
	{ "Secondary2",             "Secund\341rio 2" },
	{ "Secondary3Info",         "�rea de Fundo" },
	{ "Secondary3",             "Secund\341rio 3" },
	//
	{ "ControlFontInfo",        "Controle de Fonte" },
	{ "ControlFont",            "R\363tulo da Fonte" },
	{ "SystemFontInfo",         "Tool Tip, Tree nodes" },
	{ "SystemFont",             "System Font" },
	{ "UserFontInfo",           "Entrada de Dados pelo Usu\341rio" },
	{ "UserFont",               "Fonte dos Campos" },
//	{ "SmallFontInfo",          "Relat�rios" },
	{ "SmallFont",              "Fonte pequena" },
	{ "WindowTitleFont",         "Fonte do T\355tulo" },
	{ "MenuFont",               "Fonte do Menu" },
	//
	{ "MandatoryInfo",          "Fundo de Campos Obrigat\363rios" },
	{ "Mandatory",              "Obrigat\363rio" },
	{ "ErrorInfo",              "Fundo de Campo de Erro" },
	{ "Error",                  "Erro" },
	{ "InfoInfo",               "Fundo de Campos Informativos" },
	{ "Info",                   "Info" },
	{ "WhiteInfo",              "Linhas" },
	{ "White",                  "Branco" },
	{ "BlackInfo",              "Linhas, Texto" },
	{ "Black",                  "Preto" },
	{ "InactiveInfo",           "Fundo de Campo Inativo" },
	{ "Inactive",               "Inativo" },
	{ "TextOKInfo",             "OK Fundo do Texto" },
	{ "TextOK",                 "Texto - OK" },
	{ "TextIssueInfo",          "Fundo do Texto de Erro" },
	{ "TextIssue",              "Texto - Erro" },
	//
	{ "FontChooser",            "Selecionar Fonte" },
	{ "Fonts",                  "Fontes" },
	{ "Plain",                  "Plano" },
	{ "Italic",                 "It\341lico" },
	{ "Bold",                   "Negrito" },
	{ "BoldItalic",             "Negrito & It\341lico" },
	{ "Name",                   "Nome" },
	{ "Size",                   "Tamanho" },
	{ "Style",                  "Estilo" },
	{ "TestString",             "Somente teste! The quick brown Fox is doing something. 12,3456.78 LetterLOne = l1 LetterOZero = O0" },
	{ "FontString",             "Fonte" },
	//
	{ "CompiereColorEditor",    "Compiere: Editor de Cores" },
	{ "CompiereType",           "Tipo de Cor" },
	{ "GradientUpperColor",     "Cor D\351grad\351 Superior" },
	{ "GradientLowerColor",     "Cor D\351grad\351 Inferior" },
	{ "GradientStart",          "In\355cio do D\351grad\351" },
	{ "GradientDistance",       "Dist\342ncia do D\351grad\351" },
	{ "TextureURL",             "URL Textura" },
	{ "TextureAlpha",           "Alfa Textura" },
	{ "TextureTaintColor",      "Colora\347\343o da Textura" },
	{ "LineColor",              "Cor da Linha" },
	{ "LineBackColor",          "Cores de Fundo" },
	{ "LineWidth",              "Largura da Linha" },
	{ "LineDistance",           "Dist\342ncia das linhas" },
	{ "FlatColor",              "Cores Planas" }
	};

	/**
	 * Get Contents
	 * @return contents
	 */
	public Object[][] getContents()
	{
		return contents;
	}
}   //  Res
