/******************************************************************************
 * The contents of this file are subject to the   Compiere License  Version 1.1
 * ("License"); You may not use this file except in compliance with the License
 * You may obtain a copy of the License at http://www.compiere.org/license.html
 * Software distributed under the License is distributed on an  "AS IS"  basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for
 * the specific language governing rights and limitations under the License.
 * The Original Code is Compiere ERP & CRM Smart Business Solution. The Initial
 * Developer of the Original Code is Jorg Janke. Portions created by Jorg Janke
 * are Copyright (C) 1999-2005 Jorg Janke.
 * All parts are Copyright (C) 1999-2005 ComPiere, Inc.  All Rights Reserved.
 * Contributor(s): ______________________________________.
 *****************************************************************************/
package org.compiere.plaf;

import java.util.ListResourceBundle;

/**
 *  Translation Texts for Look & Feel
 *
 *  @author     Jorg Janke
 *  @version    $Id: PlafRes_ro.java,v 1.1 2006/09/25 14:19:32 hans Exp $
 */
public class PlafRes_ro extends ListResourceBundle
{
	/** The data    */
	static final Object[][] contents = new String[][]
	{
	{ "BackColType",            "Tip al culorii de fundal" },
	{ "BackColType_Flat",       "Plin" },
	{ "BackColType_Gradient",   "Gradient" },
	{ "BackColType_Lines",      "Linii" },
	{ "BackColType_Texture",    "Ha\u015fur\u0103" },
	//
	{ "LookAndFeelEditor",      "Editor de aspect grafic" },
	{ "LookAndFeel",            "Aspect grafic" },
	{ "Theme",                  "Tem\u0103" },
	{ "EditCompiereTheme",      "Editare a temei Compiere" },
	{ "SetDefault",             "Fundal implicit" },
	{ "SetDefaultColor",        "Culoare de fundal" },
	{ "ColorBlind",             "Deficien\u0163\u0103 cromatic\u0103" },
	{ "Example",                "Exemplu" },
	{ "Reset",                  "Reini\u0163ializare" },
	{ "OK",                     "OK" },
	{ "Cancel",                 "Anulare" },
	//
	{ "CompiereThemeEditor",    "Editor de tem\u0103 grafic\u0103" },
	{ "MetalColors",            "Culori metalice" },
	{ "CompiereColors",         "Culori Compiere" },
	{ "CompiereFonts",          "Font-uri Compiere" },
	{ "Primary1Info",           "Umbr\u0103, separator" },
	{ "Primary1",               "Principal 1" },
	{ "Primary2Info",           "Linie curent\u0103, meniu selectat" },
	{ "Primary2",               "Principal 2" },
	{ "Primary3Info",           "R\u00e2nd de tabel selectat, text selectat, fundal pentru indica\u0163ii" },
	{ "Primary3",               "Principal 3" },
	{ "Secondary1Info",         "Margini" },
	{ "Secondary1",             "Secundar 1" },
	{ "Secondary2Info",         "File inactive, butoane ap\u0103sate, margini \u015fi text inactive" },
	{ "Secondary2",             "Secundar 2" },
	{ "Secondary3Info",         "Fundal" },
	{ "Secondary3",             "Secundar 3" },
	//
	{ "ControlFontInfo",        "Font pentru obiecte grafice" },
	{ "ControlFont",            "Font pentru etichete" },
	{ "SystemFontInfo",         "Indica\u0163ii, noduri \u00een arborescen\u0163e" },
	{ "SystemFont",             "Font de sistem" },
	{ "UserFontInfo",           "Date introduse de utilizator" },
	{ "UserFont",               "Font pentru c\u00e2mpuri" },
//	{ "SmallFontInfo",          "Font pentru rapoarte" },
	{ "SmallFont",              "Font de dimensiune mic\u0103" },
	{ "WindowTitleFont",        "Font pentru titluri" },
	{ "MenuFont",               "Font de meniuri" },
	//
	{ "MandatoryInfo",          "Fundal pentru c\u00e2mpuri obligatorii" },
	{ "Mandatory",              "Obligatoriu" },
	{ "ErrorInfo",              "Fundal pentru c\u00e2mpuri cu valori eronate" },
	{ "Error",                  "Erori" },
	{ "InfoInfo",               "Fundal pentru c\u00e2mpuri de informare" },
	{ "Info",                   "Informare" },
	{ "WhiteInfo",              "R\u00e2nduri goale" },
	{ "White",                  "\"Alb\"" },
	{ "BlackInfo",              "Linii, text" },
	{ "Black",                  "\"Negru\"" },
	{ "InactiveInfo",           "Fundal pentru c\u00e2mpuri inactive" },
	{ "Inactive",               "Inactiv" },
	{ "TextOKInfo",             "Culoare pentru mesaje de confirmare" },
	{ "TextOK",                 "Text de confirmare" },
	{ "TextIssueInfo",          "Culoare pentru mesaje de eroare" },
	{ "TextIssue",              "Text de eroare" },
	//
	{ "FontChooser",            "Selector de font-uri" },
	{ "Fonts",                  "Font-uri" },
	{ "Plain",                  "Normal" },
	{ "Italic",                 "Cursiv" },
	{ "Bold",                   "Aldin" },
	{ "BoldItalic",             "Aldin \u015fi cursiv" },
	{ "Name",                   "Nume" },
	{ "Size",                   "Dimensiune" },
	{ "Style",                  "Stil" },
	{ "TestString",             "Acesta este un test! Ziua bun\u0103 se cunoa\u015fte de diminea\u0163\u0103. 123.456,78 Lunu = l1 Ozero = O0" },
	{ "FontString",             "Font" },
	//
	{ "CompiereColorEditor",    "Editor de culoare " },
	{ "CompiereType",           "Tip de culoare" },
	{ "GradientUpperColor",     "Culoare superioar\u0103 pentru gradient" },
	{ "GradientLowerColor",     "Culoare inferioar\u0103 pentru gradient" },
	{ "GradientStart",          "\u00cenceput de gradient" },
	{ "GradientDistance",       "Distan\u0163\u0103 de gradient" },
	{ "TextureURL",             "URL pentru ha\u015fur\u0103" },
	{ "TextureAlpha",           "Masc\u0103 alpha pentru ha\u015fur\u0103" },
	{ "TextureTaintColor",      "Nuan\u0163\u0103 a ha\u015furii" },
	{ "LineColor",              "Culoare de desenare" },
	{ "LineBackColor",          "Culoare de fundal" },
	{ "LineWidth",              "L\u0103\u0163imea liniei" },
	{ "LineDistance",           "Distan\u0163a \u00eentre linii" },
	{ "FlatColor",              "Culoare plin\u0103" }
	};

	/**
	 * Get Contents
	 * @return contents
	 */
	public Object[][] getContents()
	{
		return contents;
	}
}   //  Res
