/******************************************************************************
 * The contents of this file are subject to the   Compiere License  Version 1.1
 * ("License"); You may not use this file except in compliance with the License
 * You may obtain a copy of the License at http://www.compiere.org/license.html
 * Software distributed under the License is distributed on an  "AS IS"  basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for
 * the specific language governing rights and limitations under the License.
 * The Original Code is Compiere ERP & CRM Smart Business Solution. The Initial
 * Developer of the Original Code is Jorg Janke. Portions created by Jorg Janke
 * are Copyright (C) 1999-2005 Jorg Janke.
 * All parts are Copyright (C) 1999-2005 ComPiere, Inc.  All Rights Reserved.
 * Contributor(s): ______________________________________.
 *****************************************************************************/
package org.compiere.plaf;

import java.util.ListResourceBundle;

/**
 *  Translation Texts for Look & Feel
 *
 *  @author     Matjaž Godec
 *  @version    $Id: PlafRes_sl.java,v 1.1 2006/09/25 14:19:32 hans Exp $
 */
public class PlafRes_sl extends ListResourceBundle
{
	/** The data    */
	static final Object[][] contents = new String[][]
	{
	{ "BackColType",            "Tip ozadja" },
	{ "BackColType_Flat",       "Barva" },
	{ "BackColType_Gradient",   "Preliv" },
	{ "BackColType_Lines",      "\304\u0152rte" },
	{ "BackColType_Texture",    "Tekstura" },
	//
	{ "LookAndFeelEditor",      "Urejevalnik izgleda" },
	{ "LookAndFeel",            "Izgled" },
	{ "Theme",                  "Tema" },
	{ "EditCompiereTheme",      "Urejanje Compiere teme" },
	{ "SetDefault",             "Privzeto ozadje" },
	{ "SetDefaultColor",        "Barva ozadja" },
	{ "ColorBlind",             "Color Deficiency" },
	{ "Example",                "Primer" },
	{ "Reset",                  "Ponastavi" },
	{ "OK",                     "V redu" },
	{ "Cancel",                 "Prekli\304?i" },
	//
	{ "CompiereThemeEditor",    "Urejanje Compiere teme" },
	{ "MetalColors",            "Barve Metal" },
	{ "CompiereColors",         "Barve Compiere" },
	{ "CompiereFonts",          "Compiere pisave" },
	{ "Primary1Info",           "Sen\304?enje, Lo\304?ilo" },
	{ "Primary1",               "Primarna 1" },
	{ "Primary2Info",           "\304\u0152rta s fokusom, Izbran meni" },
	{ "Primary2",               "Primarna 2" },
	{ "Primary3Info",           "Izbrana vrstice tabele, Izbran tekst, Ozadje nasvetov" },
	{ "Primary3",               "Primarna 3" },
	{ "Secondary1Info",         "\304\u0152rte okvirja" },
	{ "Secondary1",             "Sekundarno 1" },
	{ "Secondary2Info",         "Neaktivni zavihki, Izbrana (pritisnjena) polja, Neaktivne meje + tekst" },
	{ "Secondary2",             "Sekundarno 2" },
	{ "Secondary3Info",         "Ozadje" },
	{ "Secondary3",             "Sekundarno 3" },
	//
	{ "ControlFontInfo",        "Pisava za kontrole" },
	{ "ControlFont",            "Pisava za oznake" },
	{ "SystemFontInfo",         "Nasveti, listi drevesa" },
	{ "SystemFont",             "Sistemska pisava" },
	{ "UserFontInfo",           "Uporabni\305\241ko vne\305\241eni podatki" },
	{ "UserFont",               "Pisava za polje" },
//	{ "SmallFontInfo",          "Reporti" },
	{ "SmallFont",              "Majhna pisava" },
	{ "WindowTitleFont",        "Pisava naslovov" },
	{ "MenuFont",               "Pisava menija" },
	//
	{ "MandatoryInfo",          "Ozadje obveznega polja" },
	{ "Mandatory",              "Obvezno" },
	{ "ErrorInfo",              "Ozadje polja z napako" },
	{ "Error",                  "Napaka" },
	{ "InfoInfo",               "Ozadje informacijskih polj" },
	{ "Info",                   "Informacije" },
	{ "WhiteInfo",              "\304\u0152rte" },
	{ "White",                  "Belo" },
	{ "BlackInfo",              "\304\u0152rte, tekst" },
	{ "Black",                  "\304\u0152rno" },
	{ "InactiveInfo",           "Ozadje neaktivnih polj" },
	{ "Inactive",               "Neaktivno" },
	{ "TextOKInfo",             "Barva pisave polja V redu" },
	{ "TextOK",                 "Tekst - V redu" },
	{ "TextIssueInfo",          "Barva teksta napake" },
	{ "TextIssue",              "Tekst - Napaka" },
	//
	{ "FontChooser",            "Font Chooser" },
	{ "Fonts",                  "Fonts" },
	{ "Plain",                  "Plain" },
	{ "Italic",                 "Italic" },
	{ "Bold",                   "Bold" },
	{ "BoldItalic",             "Bold & Italic" },
	{ "Name",                   "Name" },
	{ "Size",                   "Size" },
	{ "Style",                  "Style" },
	{ "TestString",             "This is just a Test! The quick brown Fox is doing something. 12,3456.78 LetterLOne = l1 LetterOZero = O0" },
	{ "FontString",             "Font" },
	//
	{ "CompiereColorEditor",    "Compiere Color Editor" },
	{ "CompiereType",           "Color Type" },
	{ "GradientUpperColor",     "Gradient Upper Color" },
	{ "GradientLowerColor",     "Gradient Lower Color" },
	{ "GradientStart",          "Gradient Start" },
	{ "GradientDistance",       "Gradient Distance" },
	{ "TextureURL",             "Texture URL" },
	{ "TextureAlpha",           "Texture Alpha" },
	{ "TextureTaintColor",      "Texture Taint Color" },
	{ "LineColor",              "Line Color" },
	{ "LineBackColor",          "Background Color" },
	{ "LineWidth",              "Line Width" },
	{ "LineDistance",           "Line Distance" },
	{ "FlatColor",              "Flat Color" }
	};

	/**
	 * Get Contents
	 * @return contents
	 */
	public Object[][] getContents()
	{
		return contents;
	}
}   //  Res

