/******************************************************************************
 * The contents of this file are subject to the   Compiere License  Version 1.1
 * ("License"); You may not use this file except in compliance with the License
 * You may obtain a copy of the License at http://www.compiere.org/license.html
 * Software distributed under the License is distributed on an  "AS IS"  basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for
 * the specific language governing rights and limitations under the License.
 * The Original Code is Compiere ERP & CRM Smart Business Solution. The Initial
 * Developer of the Original Code is Jorg Janke. Portions created by Jorg Janke
 * are Copyright (C) 1999-2005 Jorg Janke.
 * All parts are Copyright (C) 1999-2005 ComPiere, Inc.  All Rights Reserved.
 * Contributor(s): ______________________________________.
 *****************************************************************************/
package org.compiere.plaf;

import java.util.ListResourceBundle;

/**
 *  Swedish Translation Texts for Look & Feel
 *
 *  @author     Thomas Dilts
 *  @version    $Id: PlafRes_sv.java,v 1.1 2006/09/25 14:19:32 hans Exp $
 */
public class PlafRes_sv extends ListResourceBundle
{
	/** The data    */
	static final Object[][] contents = new String[][]
	{
	{ "BackColType",            "Bakgrundsf\344rgtyp" },
	{ "BackColType_Flat",       "Platt" },
	{ "BackColType_Gradient",   "Toning" },
	{ "BackColType_Lines",      "Linjer" },
	{ "BackColType_Texture",    "Struktur" },
	//
	{ "LookAndFeelEditor",      "Utseenderedigeringsprogram" },
	{ "LookAndFeel",            "Utseendet" },
	{ "Theme",                  "Tema" },
	{ "EditCompiereTheme",      "Redigera compiere tema" },
	{ "SetDefault",             "Standardbakgrund" },
	{ "SetDefaultColor",        "Bakgrundsf\344rg" },
	{ "ColorBlind",             "Bristf\344lligf\344rg" },
	{ "Example",                "Exempel" },
	{ "Reset",                  "\305terst\344lla" },
	{ "OK",                     "OK" },
	{ "Cancel",                 "Avbryt" },
	//
	{ "CompiereThemeEditor",    "Compiere temaredigeringsprogram" },
	{ "MetalColors",            "Metal f\344rg" },
	{ "CompiereColors",         "Compiere f\344rger" },
	{ "CompiereFonts",          "Compiere teckensnitt" },
	{ "Primary1Info",           "Skugga, avskiljare" },
	{ "Primary1",               "Prim\344r 1" },
	{ "Primary2Info",           "Fokus linje, vald meny" },
	{ "Primary2",               "Prim\344r 2" },
	{ "Primary3Info",           "Tabel vald rad, vald text, knappbeskrivning bakgrund" },
	{ "Primary3",               "Prim\344r 3" },
	{ "Secondary1Info",         "Ram linjer" },
	{ "Secondary1",             "Sekund\344r 1" },
	{ "Secondary2Info",         "Inactiv tabbar, nedtrycktf\344lt, inactive ram + text" },
	{ "Secondary2",             "Sekund\344r 2" },
	{ "Secondary3Info",         "Bakgrund" },
	{ "Secondary3",             "Sekund\344r 3" },
	//
	{ "ControlFontInfo",        "Kontrolteckensnitt" },
	{ "ControlFont",            "Textetiketter teckensnitt" },
	{ "SystemFontInfo",         "Knappbeskrivning, Tr\344d gren" },
	{ "SystemFont",             "System teckensnitt" },
	{ "UserFontInfo",           "Anv\344ndare angiven data" },
	{ "UserFont",               "F\344lt teckensnitt" },
//	{ "SmallFontInfo",          "Reports" },
	{ "SmallFont",              "Liten teckensnitt" },
	{ "WindowTitleFont",         "Rubrik teckensnitt" },
	{ "MenuFont",               "Meny teckensnitt" },
	//
	{ "MandatoryInfo",          "Obligatoriskt f\344lt bakgrund" },
	{ "Mandatory",              "Obligatorisk" },
	{ "ErrorInfo",              "Fel f\344lt bakgrund" },
	{ "Error",                  "Fel" },
	{ "InfoInfo",               "Information f\344lt bakgrund" },
	{ "Info",                   "Information" },
	{ "WhiteInfo",              "Linjer" },
	{ "White",                  "Vit" },
	{ "BlackInfo",              "Linjer, text" },
	{ "Black",                  "Svart" },
	{ "InactiveInfo",           "Inactiv f\344lt bakgrund" },
	{ "Inactive",               "Inactiv" },
	{ "TextOKInfo",             "OK text f\366rgrund" },
	{ "TextOK",                 "Text - OK" },
	{ "TextIssueInfo",          "Fel text f\366rgrund" },
	{ "TextIssue",              "Text - Fel" },
	//
	{ "FontChooser",            "Teckensnittv\344ljare" },
	{ "Fonts",                  "Teckensnitt" },
	{ "Plain",                  "Oformaterad" },
	{ "Italic",                 "Kursiv" },
	{ "Bold",                   "Fet" },
	{ "BoldItalic",             "Fet & kursiv" },
	{ "Name",                   "Namn" },
	{ "Size",                   "Storlek" },
	{ "Style",                  "Stil" },
	{ "TestString",             "Denna \344r en test! ABCDEFG abcdefg \304\344\305\345\326\366. 12,3456.78 LetterLOne = l1 LetterOZero = O0" },
	{ "FontString",             "Teckensnitt" },
	//
	{ "CompiereColorEditor",    "Compiere f\344rgredigeringsprogram" },
	{ "CompiereType",           "F\344rgtyp" },
	{ "GradientUpperColor",     "Toning \366verf\344rg" },
	{ "GradientLowerColor",     "Toning underf\344rg" },
	{ "GradientStart",          "Toning start" },
	{ "GradientDistance",       "Toning l\344ngd" },
	{ "TextureURL",             "Struktur URL" },
	{ "TextureAlpha",           "Struktur Alpha" },
	{ "TextureTaintColor",      "Struktur fl\344ckf\344rg" },
	{ "LineColor",              "Linje f\344rg" },
	{ "LineBackColor",          "Bakgrundsf\344rg" },
	{ "LineWidth",              "Linje bred" },
	{ "LineDistance",           "Linje l\344ngd" },
	{ "FlatColor",              "Mattf\344rg" }
	};

	/**
	 * Get Contents
	 * @return contents
	 */
	public Object[][] getContents()
	{
		return contents;
	}
}   //  Res
